QGIS Application - Bug report #20213
Network setting doesn't follow proxy settings for web access in Windows 10
2018-10-25 09:24 AM - Christoph Candido

Status: Open

Priority: High

Assignee:

Category: Network

Affected QGIS version:3.6.0 Regression?: Yes
Operating System: Windows 10 Enterprise Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28034
Description

QGIS 3.3.0-Master doesn't follow it's own proxy settings for web access in Windows 10 Enterprise.
It only follows the general proxy settings in Windows.

We cannot disable the proxy in QGIS, if the proxy is allready configured in Windows (Local Area Network Settings -> Proxy Server).
(The Windows environment variables http_proxy,https_proxy,no_proxy don't help and are not defined)

As a result of the problem, we cannot open local WMS services inside our network.
The WMS request allways runs over our central proxy with NTLM authentication, which QGIS refuses to handle.

Associated revisions

Revision cf1cfOfe - 2019-01-29 07:08 PM - Nyall Dawson

Fix empty strings in proxy exclude list results in proxy being skipped for ALL hosts

Fixes #20213

Revision 34625110 - 2019-02-01 10:07 AM - Nyall Dawson

Fix empty strings in proxy exclude list results in proxy being skipped for ALL hosts

Fixes #20213

(cherry picked from commit cf1cfOfe455a42edf6édb4ab9fa07c1ad641b16ch)

History

#1 - 2018-10-27 10:10 AM - Saber Razmjooei
- Subject changed from QGIS 3.3.0 doesn't follow proxy settings for web access in Windows 10 to Network setting doesn't follow proxy settings for web
access in Windows 10

#2 - 2018-10-27 05:24 PM - Giovanni Manghi
- Category changed from Windows Package to Network
- Assignee deleted (Jiirgen Fischer)

- Priority changed from High to Normal

#3 - 2018-11-27 02:34 PM - Uwe Schmitz
This Bug is a real show stopper for me.

It seems that QGIS doesn't take notice

of the URL exception list made in options

network dialog.

In QGIS2.18 it works like a charm. So | think

this is a regression, should have high priority

and IMHO is easy to fix (e.g. take the code from 2.18).
At last | may mention that | work with Win7.

So the OS for this bug ist not Win10 solely.

#4 - 2018-11-27 03:04 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Affected QGIS version changed from 3.3(master) to 3.4.1

#5 - 2019-01-29 07:42 AM - Nyall Dawson
- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

#6 - 2019-01-29 07:07 PM - Nyall Dawson
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|cf1cfOfe455a42edfédb4ab9fa07c1ad641b16ch.

#7 - 2019-03-12 01:36 PM - Uwe Schmitz

In nersion 3.6.0-1 the bug is still present.
It's not possible to access URLs from
exception list if a HitpProxy is set.

It seems that QGIS continues to ignore the

exception list.

#8 - 2019-03-12 02:48 PM - Christoph Candido

- Status changed from Closed to Reopened

Unfortunately, the bug is still present.

QGIS continues to ignore it's own Proxy Settings. It always takes the Proxy Settings from Windows.

#9 - 2019-03-12 02:53 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.1 to 3.6.0
- Status changed from Reopened to Open

- Assignee deleted (Nyall Dawson)

#10 - 2019-03-16 07:14 PM - Christoph Candido
- File Capture.JPG added
The Proxy Setting mechanism is fine, only the exclusion of our internal servers is ignored.

May be the source of the problem is the change from QString to QStringList for the value of proxyExcludedUrls (see attachment).

Files

Capture.JPG 22 KB 2019-03-16 Christoph Candido
